﻿.col-5-calendar {
    display: flex;
    justify-content: center; /* Centers horizontally */
    height: 100%; /* Ensure full height if needed */
}

.calendar-container {
    flex-direction: column;
    font-size: 14px;
    align-items: center; /* Center content horizontally */
    width: 375px; /* Optional: Adjust as needed */
    max-width: 375px; /* Optional: Adjust width of calendar */
}

.outlined-today {
    border: 1px solid #007a7a;
    border-radius: 50%;
}

.selected-date {
    border-radius: 50%;
    color: white !important;
    background-color: #007a7a;
    font-weight: bold; /* Ensure text is bold */
}

.custom-calendar {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 4px;
    height: 100%;
    width: 50px;
    height: 50px;
}

.calendar-header-item {
    text-align: center;
    padding-top: 12px;
    /*background-color: #007a7a;*/
    color: grey;
    font-weight: bold;
}

.calendar-date {
    text-align: center;
    align-content: center;
    width: 50px;
    height: 50px;
}

    .calendar-date button {
        border: none;
        background: none;
        cursor: pointer;
        text-align: center;
        justify-content: center;
    }

        .calendar-date button.clickable {
            color: black;
            font-weight: bold;
        }

        .calendar-date button.not-clickable {
            color: gray;
            cursor: default;
        }

    .calendar-date .today {
        background-color: palegoldenrod;
        border: 1px solid gold;
        border-radius: 30%;
    }

    .calendar-date.selected-date button {
        color: white !important; /* Override clickable button color */
        background-color: #007a7a !important; /* Override clickable button background */
    }

.calendar-navigation {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    font-size: 14px;
    font-weight: bold;
    width: 100%;
}

    .calendar-navigation button {
        cursor: pointer;
    }

        .calendar-navigation button:disabled {
            cursor: not-allowed;
            color: gray;
        }
